Subject: Re: mmotm 2019-07-04-15-01 uploaded (gpu/drm/i915/oa/)

From: Jani Nikula <[email-masked]>
Date: Wed, 31 Jul 2019 16:21:58 +0300

On Fri, 05 Jul 2019, Masahiro Yamada <[email-masked]> wrote:
> On Fri, Jul 5, 2019 at 12:23 PM Randy Dunlap <[email-masked]> wrote:
>>
>> On 7/4/19 8:09 PM, Masahiro Yamada wrote:
>> > On Fri, Jul 5, 2019 at 12:05 PM Masahiro Yamada
>> > <[email-masked]> wrote:
>> >>
>> >> On Fri, Jul 5, 2019 at 10:09 AM Randy Dunlap <[email-masked]> wrote:
>> >>>
>> >>> On 7/4/19 3:01 PM, [email-masked] wrote:
>> >>>> The mm-of-the-moment snapshot 2019-07-04-15-01 has been uploaded to
>> >>>>
>> >>>>    http://www.ozlabs.org/~akpm/mmotm/
>> >>>>
>> >>>> mmotm-readme.txt says
>> >>>>
>> >>>> README for mm-of-the-moment:
>> >>>>
>> >>>> http://www.ozlabs.org/~akpm/mmotm/
>> >>>
>> >>> I get a lot of these but don't see/know what causes them:
>> >>>
>> >>> ../scripts/Makefile.build:42: ../drivers/gpu/drm/i915/oa/Makefile: No such file or directory
>> >>> make[6]: *** No rule to make target '../drivers/gpu/drm/i915/oa/Makefile'.  Stop.
>> >>> ../scripts/Makefile.build:498: recipe for target 'drivers/gpu/drm/i915/oa' failed
>> >>> make[5]: *** [drivers/gpu/drm/i915/oa] Error 2
>> >>> ../scripts/Makefile.build:498: recipe for target 'drivers/gpu/drm/i915' failed
>> >>>
>> >>
>> >> I checked next-20190704 tag.
>> >>
>> >> I see the empty file
>> >> drivers/gpu/drm/i915/oa/Makefile
>> >>
>> >> Did someone delete it?
>> >>
>> >
>> >
>> > I think "obj-y += oa/"
>> > in drivers/gpu/drm/i915/Makefile
>> > is redundant.
>>
>> Thanks.  It seems to be working after deleting that line.
>
>
> Could you check whether or not
> drivers/gpu/drm/i915/oa/Makefile exists in your source tree?
>
> Your build log says it was missing.
>
> But, commit 5ed7a0cf3394 ("drm/i915: Move OA files to separate folder")
> added it.  (It is just an empty file)
>
> I am just wondering why.

I've sent patches adding some content, and they'll make their way
upstream eventually. I am not sure why the empty file was added
originally. Perhaps as a placeholder, seemed benign enough.

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Graphics Center